#ifndef __CONSOLE_H__
#define __CONSOLE_H__

#include "common.h"

#include<string>

namespace yx
{
	namespace IO
	{
		FILE *open_convicted(std::string filename, const char *mode);
		
		void write_convicted(FILE *f, void* buffer, long len);

		size_t filelength(FILE *f);
	}
	
	namespace File
	{
		std::string get_extention(std::string filename);
		
		std::string get_prefix(std::string filename);
		
		std::string get_path(std::string filename);
	}
	
	namespace String
	{
		std::string itos(int value);
	}
	
	namespace gra
	{
		void progress_bar(int prog, int total);
	}
}

#endif
