#ifndef LZR_H
#define LZR_H

#include <queue>

#include "common.h"

#define LZ_BUFFER_SIZE (15)
#define LZ_WINDOW_SIZE (4095)

#define LZ_DICT_THRESHOLD (2)
#define LZ_CPYN_THRESHOLD (4)
//#define LZ_REPT_THRESHOLD (5)
extern int LZ_REPT_THRESHOLD;

#define REPO_GAP (1000)

typedef uint8_t U8;
typedef U8 byte_t;
typedef uint16_t U16;
typedef uint32_t U32;

typedef int8_t I8;
typedef int16_t I16;
typedef int32_t I32;

//extern "C" {
unsigned int lzr(byte_t *data, long length, byte_t ** result);
//}

#endif
